{%- from "galera/map.jinja" import master with context %}

{%- set galera = master %}

galera_task_update_master:
  test.show_notification:
    - name: "dump_message_update_master"
    - text: "Running galera.upgrade.update_master"

gcomm_is_empty:
  cmd.run:
  - name: "sed -i '/gcomm/c\\wsrep_cluster_address=\"gcomm://\"' /etc/mysql/my.cnf"

percona_xtrabackup_24_package:
  pkg.latest:
  - names:
    - percona-xtrabackup-24
  - require_in:
    - pkg: galera_packages

lib_galera_3_package:
  pkg.latest:
  - names:
    - galera-3
  - require_in:
    - pkg: galera_packages

galera_packages:
  pkg.latest:
  - names: {{ galera.pkgs }}

mysql_service_stopped:
  service.dead:
  - name: {{ galera.service }}
  {%- if grains.get('noservices') %}
  - onlyif: /bin/false
  {%- endif %}
